$(window).on("load", function(){ $('.only-number').on('input',function(){$(this).val($(this).val().replace(/[^0-9]/g,""))})});function maiuscula(z){v=z.value.toLowerCase();z.value=v}
$(window).on("load", function(){
        $('input[type=text]').focus(function () {
            $(this).attr('autocomplete', 'off');
        });
    });
$(document).ready(function () {

    $('.modal').modal();
    $('select').material_select();
    $("#dinamico").modal({
        opacity: 0
    });
    $("#cadastro").modal({
        opacity: 0
    });
    $("#termo_uso").modal({
        opacity: 0
    });
    $(".modal-cancelamento").modal({
        opacity: 0
    });
});

$('body').delegate('.btn-confirma-cancelamento', 'click', function () {

    var transacao = $(this).attr("data-transacao");
    $(document).ajaxStart(function () {
        $("#aguarde").css("display", "block");
        $("#blanket").css("display", "block");
    });
    $(document).ajaxComplete(function () {
        $("#aguarde").css("display", "none");
        $("#blanket").css("display", "none");
    });
    $.ajax({
        data: {transacao: transacao},
        type: "POST",
        dataType: 'json',
        url: 'itemtransacao',
        success: function (data) {
            if (data['situacao'] == true) {
                $('.modal-conteudo-pagamento').html('');
                $(".modal-conteudo-pagamento-sucesso").css("display", "block");
                setTimeout(function () {
                    window.location.href = 'financeiro';
                }, 3000);
            } else if (data['situacao'] == false) {
                Materialize.toast(data['mensagem'], 2500, 'black');
            }
        }
    });
});
$(document).ready(function () {
    $('#sms').submit(function (e) {
        e.preventDefault();

        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: $("#sms").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'enviasms',
            success: function (data) {
                if (data['situacao'] == 'form-erro') {
                    Materialize.toast(data['erro_form'], 2500, 'black');
                } else if (data['situacao'] == 'enviado') {
                    Materialize.toast('Código de barras enviado com sucesso', 2500, 'green');
                    setTimeout("document.location = 'cursosmatriculados'", 980);
                } else if (data['situacao'] == 'erro') {
                    Materialize.toast('Erro ao enviar o código de barras. Verifique o número informado', 2500, 'black');
                }
            }
        });
    });
});
//jQuery(document).ready(function($) { 
//    $(".scroll").click(function(event){        
//        event.preventDefault();
//        $('html,body').animate({scrollTop:$(this.hash).offset().top}, 800);
//   });
//});
$(document).ready(function () {
    Materialize.updateTextFields();
});

// FUNÇÃO PARA DEIXAR OS CARDS COM O MESMO TAMANHO
$(function () {
    var scre = $("body").width();
    if (scre >= 768) {
        var li = $('.card-curso');
        $.fn.equalizeHeights = function () {
            var maxHeight = this.map(function (i, e) {
                return $(e).height();
            }).get();
            return this.height(Math.max.apply(this, maxHeight));
        };
        $(li).equalizeHeights();
    }
});
// FUNÇÃO PARA DEIXAR OS CARDS COM O MESMO TAMANHO

// FUNÇÃO PARA DEIXAR OS CARDS COM O MESMO TAMANHO
$(function () {
    var scre = $("body").width();
    if (scre >= 768) {
        var li = $('.livros-card');
        $.fn.equalizeHeights = function () {
            var maxHeight = this.map(function (i, e) {
                return $(e).height();
            }).get();
            return this.height(Math.max.apply(this, maxHeight));
        };
        $(li).equalizeHeights();
    }
});
// FUNÇÃO PARA DEIXAR OS CARDS COM O MESMO TAMANHO
$(function () {
    var scre = $("body").width();
    if (scre >= 768) {
        var li = $('.links-card');
        $.fn.equalizeHeights = function () {
            var maxHeight = this.map(function (i, e) {
                return $(e).height();
            }).get();
            return this.height(Math.max.apply(this, maxHeight));
        };
        $(li).equalizeHeights();
    }
});
//ACTIVE DO MENU

$(function () {
    $('#nav-mobile a').filter(function () {
        return this.href == location.href
    }).parent().addClass('active').siblings().removeClass('active')
    $('#nav-mobile a').click(function () {
        $(this).parent().addClass('active').siblings().removeClass('active')
    })
})

//função para recuperar a baseurl
function base_url() {
    var getUrl = window.location;
    return getUrl.protocol + "//" + getUrl.host + "/" + getUrl.pathname.split('/')[1];
}

// LOGIN DINÂMICO NO SISTEMA
$(document).ready(function () {

    $('#form-dinamico').submit(function (e) {
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        e.preventDefault();
        $.ajax({
            data: $("#form-dinamico").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'verificalogin',
            success: function (data) {

                if (data['situacao'] == 'form-erro') {
                    Materialize.toast(data['erro_form'], 2500, 'black');
                } else if (data['situacao'] == 'true') {
                    $("#form-dinamico").remove();
                    $("#form_login_site").html('<form id="form-login"> <div class="row"><div class="input-field col s12"> <input autofocus="" placeholder="Digite o seu e-mail" onkeyup="maiuscula(this)" autocomplete="off" type="email" id="email_login" name="email" value="' + data['email'] + '" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required=""> </div><div class="input-field col s12"> <input autofocus="" autocomplete="off" id="senha-login" type="password" class="" required="" name="senha-login" minlength="4"> <label for="senha">Senha</label> </div></div><div> <button class="waves-effect waves-light btn btn-curso btn-ent" type="submit">Entrar</button> <a href="" data-target="recuperar-senha" class="waves-effect waves-light btn btn-curso modal-trigger btn-rec" style="background-color: #00695c;">Recuperar Senha</a> </div></form>');
                    $("br").remove();
                    $(".login-social").css({marginTop: "20px", marginBottom: "20px"});
//                    $("#login").modal("open");
//                    $("#dinamico").modal("close");
//                    $(".emails").html('<input type="email" autocomplete="off" class="validate email" placeholder="Digite o seu e-mail" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" name="email" onkeyup="maiuscula(this)" required="" value="' + data['email'] + '">');
                    $("#senha-login").focus();
//                    $('#form-dinamico').each(function () {
//                        this.reset();
//                    })
                } else if (data['situacao'] == 'false') {
//                    $("#cadastro").modal("open");
//                    $("#dinamico").modal("close");
//                    $(".emails").html('<input type="email" autocomplete="off" class="validate email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" name= "email"  onkeyup="maiuscula(this)" required="" value="' + data['email'] + '" readonly="">');
                    window.location = 'cadastro_site';
                    $(".nome-aluno").focus();
//                    $('#form-dinamico').each(function () {
//                        this.reset();
//                    })

                }
            }
        });
    });
});
$(document).ready(function () {
    $('.btn-estudo').on('click', function () {
        $('ul.tabs').tabs('select_tab', 'test2');
    });
});

// FIM DO LOGIN DINÂMICO NO SISTEMA
// FUNÇÃO PARA REALIZAR O LOGIN NO SISTEMA
$(document).ready(function () {
    $(document).ajaxStart(function () {
        $("#aguarde").css("display", "block");
        $("#blanket").css("display", "block");
    });
    $(document).ajaxComplete(function () {
        $("#aguarde").css("display", "none");
        $("#blanket").css("display", "none");
    });
    $(document).delegate('#form-login', 'submit', function (e) {
        e.preventDefault();
        $.ajax({
            data: $("#form-login").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'login',
            success: function (data) {

                switch (data['situacao']) {

                    case 'form-erro':
                        $(".form-error-login").html('<div class="alert alert-warning roboto" role="alert"> ' + data['erro_form'] + ' </div>');
                        break;
                    case 'sucesso':
                        $("#login").modal("close");
                        Materialize.toast('Login com sucesso', 2500, 'green');
                        setTimeout("document.location = 'home'", 980);
                        break;
                    case 'login-erro':
                        Materialize.toast('Login ou Senha incorretos', 2500, 'black');
                        break;
                    case 'sucesso-matricula':
                        window.location = 'cursosmatriculados';
                        break;
                    case 'matriculado-l-erro':
                        window.location = 'cursos';
                        break;

                }
            }
        });
    });
});
//$(document).ready(function () {
//    $(document).delegate('#modal-cancelamento', 'click', function (e) {
//        $("#cancelamento").modal("open");
//    });
//});
// FIM DA FUNÇÃO PARA REALIZAR O LOGIN NO SISTEMA
// 
// FUNÇÃO PARA RECUPERAR A SENHA NO SISTEMA
$(document).ready(function () {
    $(document).delegate('.btn-rec', 'click', function (e) {
        var email = $('#email_login').val();
        $(".emails").html('<input type="email" autocomplete="off" class="validate email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" name= "email"  onkeyup="maiuscula(this)" required="" value="' + email + '" readonly="">');
    });
    $('#senha-recuperar').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: $("#senha-recuperar").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'recuperasenha',
            success: function (data) {
                if (data['situacao'] == 'form-erro') {

                    Materialize.toast(data['erro_form'], 2500, 'black');

                } else if (data['situacao'] == 'false') {
                    Materialize.toast('O e-mail informado não está cadastrado', 2500, 'black');
                } else if (data['situacao'] == 'true') {
                    Materialize.toast('Sua senha foi enviado com sucesso para o e-mail informado', 2500, 'green');
                    $("#recuperar-senha").modal("close");
                    $("#login").modal("open");
                    $("#senha-login").focus();
                } else if (data['situacao'] == 'true-celular') {
                    Materialize.toast('Uma mensagem com seus dados foi enviada para o seu email e para o seu celular', 2500, 'green');
                    $("#recuperar-senha").modal("close");
                    $("#login").modal("open");
                    $("#senha-login").focus();
                }
            }
        });
    });
});

// FUNÇÃO PARA RECUPERAR VALIDAÇÃO DE CPF NO SISTEMA

$(document).ready(function () {
    $('#nome').hide();
    $('#form-cpf').submit(function (e) {
        
        e.preventDefault(); 
        $(document).ajaxStart(function () {
             
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
            
        });
        $(document).ajaxComplete(function ()  {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
            
        });
        
        $.ajax({ 
             data: $("#form-cpf").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'consultacpf',
            success: function (data) {  
              if (data['situacao'] == 'falha') {
                    Materialize.toast('O CPF informado não é válido', 2500, 'black');
                    $('#form-cpf').each(function () {
                        this.reset();
                    });
                    $('.cpf').focus();
                }
                
                else{
                 document.getElementById("enviar").style.display = 'none';
                 document.getElementById("nome").style.display = 'block';
                 document.getElementById('nm').innerHTML ='<span>Você Confirma que <b>'+ data['nome']+ ' </b>é o nome que deverá aparecer nos seus documentos do site?</span>';
                  
                }
              
              
                    
            }
            
        });
        $("#confirmar").click(function() {
            $.ajax({ 
                
            data: $("#form-cpf").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'cpf',
            success: function (data) {
          
            }
            
        });    
            
        
         $("#cpf").modal("close");
        event.preventDefault();
        
        });
    });
});
// FIM DA  FUNÇÃO PARA RECUPERAR A SENHA NO SISTEMA
// 
// CONTATO
$(document).ready(function () {
    $('#form-contato').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: $("#form-contato").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'contato',
            success: function (data) {
                if (data['situacao'] == 'form-erro') {

                    $(".form-error-contato").html('<div class="alert alert-warning roboto" role="alert"> ' + data['erro_form'] + ' </div>');

                } else if (data['situacao'] == 'erro-recaptcha') {
                    Materialize.toast(data['captcha-erro'], 2500);
                } else if (data['situacao'] == 'contato-sucesso') {
                    grecaptcha.reset();
                    Materialize.toast('Mensagem enviada com sucesso', 2500, 'green');

                    $('#form-contato').each(function () {
                        this.reset();
                    });
                } else if (data['situacao'] == 'captcha-vazio') {
                    Materialize.toast('Preencha o campo Recaptcha', 2500, 'black');

                }
            }
        });
    });
});
// FIM DO CONTATO
// 
// CADASTRO DO ALUNO
$(document).ready(function () {
    $('#form-cadastro-aluno').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: $("#form-cadastro-aluno").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'cadastro',
            success: function (data) {

                if (data['situacao'] == 'form-erro') {

                    $(".form-error-cadastro").html('<div class="alert alert-warning roboto" role="alert"> ' + data['erro_form'] + ' </div>');

                } else if (data['situacao'] == 'sucesso') {
                    $("#cadastro").modal("close");
                    Materialize.toast('Cadastro com sucesso', 2500, 'green');
                    setTimeout("document.location = 'carreira'", 1500);
                } else if (data['situacao'] == 'false') {
                    Materialize.toast('As senhas são diferentes', 2500, 'black');
                } else if (data['situacao'] == 'sucesso-matricula') {
                    Materialize.toast('Cadastro com sucesso', 2500, 'green');
                    setTimeout("document.location = 'carreira'", 1500);
                } else if (data['situacao'] == 'email-cadastrado') {
                    $("#form-cadastro-aluno").remove();
                    $("#form_login_site").html('<div class="alert alert-success" role="alert">  <i class="fa fa-check-circle"></i> Identificamos um cadastro com este e-mail. Faça o seu login! </div> <form id="form-login"> <div class="row"><div class="input-field col s12"> <input autofocus="" placeholder="Digite o seu e-mail" onkeyup="maiuscula(this)" autocomplete="off" type="email" id="email_login" name="email" value="' + data['email'] + '" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required=""> </div><div class="input-field col s12"> <input autofocus="" autocomplete="off" id="senha-login" type="password" class="" required="" autofocus name="senha-login" minlength="4"> <label for="senha">Senha</label> </div></div><div> <button class="waves-effect waves-light btn btn-curso btn-ent" type="submit">Entrar</button> <a href="" data-target="recuperar-senha" class="waves-effect waves-light btn btn-curso modal-trigger btn-rec" style="background-color: #00695c;">Recuperar Senha</a> </div></form>');
                    $('#senha-login').focus();
                } else if (data['situacao'] == 'n-celular') {
                    Materialize.toast('O celular informado não é válido', 2500, 'black');
                }

            }
        });
    });
});
// FIM CADASTRO DO ALUNO
// 
// MATRÍCULA DO ALUNO - PAG CURSOS
$(document).ready(function () {
    $('.matricular-curso').submit(function (e) {
        e.preventDefault();
        var curso = $(this).find("option:selected").attr('curso');
        var duracao = $(this).find("option:selected").attr('duracao');

        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: {curso: curso, duracao: duracao},
            type: "POST",
            dataType: 'json',
            url: 'matricula',
            success: function (data) {
                if (data['situacao'] == 'select-vazio') {
                    Materialize.toast('Selecione a Carga Horária', 2500, 'black');
                } else if (data['situacao'] == 'matriculado') {
                    window.location = 'login_site';
                } else if (data['situacao'] == 'matriculado-l') {
                    window.location = 'cursosmatriculados';
                } else if (data['situacao'] == 'matriculado-l-erro') {
                    Materialize.toast('Você já possui esse curso, para se matricular novamente é necessário concluir ou cancelar o mesmo', 2500, 'black');
                } else if (data['situacao'] == 'falha-matricula-total') {
                    Materialize.toast('Você atingiu o número máximo de matrículas de hoje!', 2500, 'black');
                }
            }
        });
    });
});
// MATRÍCULA DO ALUNO - PAG DETALHES DO CURSO
$(document).ready(function () {
    $('.matricular-cursos').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: $(".matricular-cursos").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'matricula',
            success: function (data) {
                if (data['situacao'] == 'select-vazio') {
                    Materialize.toast('Selecione a Carga Horária', 2500, 'black');
                } else if (data['situacao'] == 'matriculado') {
                    window.location = 'login_site';
                } else if (data['situacao'] == 'matriculado-l') {
                    window.location = 'cursosmatriculados';
                } else if (data['situacao'] == 'matriculado-l-erro') {
                    Materialize.toast('Você já possui esse curso, para se matricular novamente é necessário concluir ou cancelar o mesmo', 2500, 'black');
                }
            }
        });
    });
});
// CARGA HORÁRIA 
$(document).on('change', '.carga_horaria', function (e) {
    e.preventDefault();
    var curso = $(this).find("option:selected").attr('curso');
    var duracao = $(this).find("option:selected").attr('duracao');
    $.ajax({
        data: {curso: curso, duracao: duracao},
        type: "POST",
        dataType: 'json',
        url: 'calcula',
        success: function (data) {
            if (data['situacao'] == 'calculo') {
                $(".valor-certificado-" + curso + "").text('R$ ' + data['total']);
                $(".valor-tributo-" + curso + "").text('R$ ' + data['tributo']);
                $(".cargas").html('<input type="hidden" class="cargas" name="duracao" value="' + duracao + '">');

            }
        }
    });
});

// CARGA HORÁRIA 
$(document).on('change', '.ch', function (e) {
    e.preventDefault();
    var historico = $(this).find("option:selected").attr('historico');
    var duracao = $(this).find("option:selected").attr('duracao');
    var curso = $(this).find("option:selected").attr('curso');
    console.log(curso);
    $.ajax({
        data: {historico: historico, duracao: duracao, curso: curso},
        type: "POST",
        dataType: 'json',
        url: 'atualizacarga',
        success: function (data) {
            if (data['situacao'] == 'sucesso') {
                swal("Sucesso!", "A sua carga horária foi atualizada com sucesso", "success");
                setTimeout(function () {
                  window.location = 'cursosmatriculados';
                }, 2000);
            } else if (data['situacao'] == 'falha') {
                swal("Ops!", "Não foi possivel atualizar a sua carga horária", "error");
                setTimeout(function () {
                  window.location = 'cursosmatriculados';
                }, 2000);
            }
            else if (data['situacao'] == 'falha-carrinho') {
                swal("Ops!", "Não foi possivel atualizar a sua carga horária. Você possui esse item no carrinho", "error");
                setTimeout(function () {
                  window.location = 'cursosmatriculados';
                }, 2700);
            }
        }
    });
});



$(document).ready(function () {
    $(".carga_horaria").each(function () {
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        var curso = $(this).find("option:selected").attr('curso');
        var duracao = $(this).find("option:selected").attr('duracao');
        $.ajax({
            data: {curso: curso, duracao: duracao},
            type: "POST",
            dataType: 'json',
            url: 'calcula',
            success: function (data) {
                if (data['situacao'] == 'calculo') {
                    $(".valor-certificado-" + curso + "").text('R$ ' + data['total']);
                    $(".valor-tributo-" + curso + "").text('R$ ' + data['tributo']);
                    $(".cargas").html('<input type="hidden" class="cargas" name="duracao" value="' + duracao + '">');

                }
            }
        });
    });
});

// FIM DA MATRÍCULA DO ALUNO
// 
// CANCELA MATRICULA EM CURSO

$(document).ready(function () {
    $('.cancela').on('click', function () {
        var id = $(this).attr("data-id");
        cancelaCurso(id);
    });
});
function cancelaCurso(id) {
    swal({
        title: "Deseja realmente cancelar a matrícula?",
        type: "warning",
        showCancelButton: true,
        closeOnConfirm: false,
        confirmButtonText: "Sim",
        cancelButtonText: "Não"
    }, function () {
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $.ajax({
            data: {id: id},
            type: "POST",
            dataType: 'json',
            url: 'cancelacurso',
            success: function (data) {
                if (data['situacao'] == 'true') {
                    swal("Cancelado!", "Sua matrícula foi cancelada com sucesso", "success");
                    $("." + data['id_h'] + "").addClass("animated fadeOut");

                    setTimeout(function () {
                        $("." + data['id_h'] + "").addClass("hide");
                    }, 1900);
                }
            }
        });

    });
}
// ACESSA CONTEÚDO

$(document).ready(function () {

    $('#conteudo').on('click', function () {
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });
        var id = $(this).data("id");
        var link = $(this).data("link");
        $.ajax({
            data: {id: id, link: link},
            type: "POST",
            dataType: 'json',
            url: 'acessoModulo'
        });
    });
});
// CARRINHO DE COMPRAS
$(document).ready(function () {
    $(document).ajaxStart(function () {
        $("#aguarde").css("display", "none");
        $("#blanket").css("display", "none");
    });
    $(document).ajaxComplete(function () {
        $("#aguarde").css("display", "none");
        $("#blanket").css("display", "none");
    });
    $('.btn-pagar').click(function () {

        var descricao = $(this).data("nome");
        var cargahoraria = $(this).data("carga");
        var preco = $(this).data("preco");
        var id = $(this).data("id");
        var h = $(this).data("h");
        $.ajax({
            type: "POST",
            dataType: 'json',
            url: 'verificaproduto',
            data: {id: id},
            success: function (data) {
                if (data == 'false') {
                    $.ajax({
                        type: "POST",
                        data: {h: h, id: id, descricao: descricao, cargahoraria: cargahoraria, preco: preco},
                        url: 'inserir',
                        success: function () {
                            window.location = 'carrinho';
                        }
                    });
                } else {

                    Materialize.toast('Você já possui esse certificado no seu carrinho', 2500, 'black');

                }

            }
        });
    });
});
function selecionachecks() {
    var titulo = [];
    var descricao = [];
    $("input[name='check[]']:checked").each(function () {
        titulo.push($(this).data("titulo"));
        descricao.push($(this).data("descricao"));
    });

    // console.log(checked);    
    $.ajax({
        url: 'escolhaconteudo',
        type: 'POST',
        data: {titulo: titulo, descricao: descricao},
        success: function (res) {

        }
    });
}
$(document).ready(function () {
    $('#btn-elabore-escolhaS').on('submit', function () {

        $(".textos").html('<p>Aguarde...Estamos montando o curso com os melhores resultados</p>');

        $("#aguardeS").css("display", "block");
        $("#blanketS").css("display", "block");
    });
});

$(document).ready(function () {
    $('.form-certi').on('submit', function () {

        $(".textos").html('<p>Aguarde...Estamos realizando a busca do certificado</p>');

        $("#aguardeS").css("display", "block");
        $("#blanketS").css("display", "block");
    });
});
$(document).ready(function () {
    $('#elaborefinal').on('submit', function () {

        $(".textos").html('<p>Aguarde...Estamos salvando as suas preferências</p>');

        $("#aguardeS").css("display", "block");
        $("#blanketS").css("display", "block");
    });
});
$(document).ready(function () {
    $('.ddd').mask('(00)');
    $('.celular').mask('00000-0000');

});

$(".button-collapse").sideNav();

$(document).ready(function () {
    $(".dropdown-button").dropdown();
    $('#myCarousel').carousel({interval: 4000});
    var clickEvent = false;
    $('#myCarousel').on('click', '.nav a', function () {
        clickEvent = true;
        $('.nav li').removeClass('active');
        $(this).parent().addClass('active');
    }).on('slid.bs.carousel', function (e) {
        if (!clickEvent) {
            var count = $('.nav').children().length - 1;
            var current = $('.nav li.active');
            current.removeClass('active').next().addClass('active');
            var id = parseInt(current.data('slide-to'));
            if (count == id) {
                $('.nav li').first().addClass('active');
            }
        }
        clickEvent = false;
    });
});
$(function () {
    $('[data-toggle="tooltip"]').tooltip();
});
$('.btn-alert-deslize').on('click', function () {
    $(".alert-deslize").css("display", "none");
});
$('.btn-alert-deslizess').on('click', function () {
    $(".alert-deslizess").css("display", "none");
});
$(document).ready(function () {
    var url = window.location;
    $('ul.nav a[href="' + url + '"]').parent().addClass('active');
    $('ul.nav a').filter(function () {
        return this.href === url;
    }).parent().addClass('active').parent().parent().addClass('active');
});
$('#btn-boleto').on('click', function () {
    var $doc = $('html, body');
    $(".boleto").show();
    $(".credito").hide();
    $(".saldo").hide();
    $(".debito").hide();
    $('.cpf').focus();
    $doc.animate({scrollTop: $($.attr(this, 'href')).offset().top}, 500);
    return false;
});

$('#btn-credito').on('click', function () {
    var $doc = $('html, body');
    $(".boleto").hide();
    $(".debito").hide();
    $(".saldo").hide();
    $(".credito").show();
    $("#numero").focus();
    $doc.animate({scrollTop: $($.attr(this, 'href')).offset().top}, 500);
    return false;
});
$('#btn-debito').on('click', function () {
    var $doc = $('html, body');
    $(".boleto").hide();
    $(".credito").hide();
    $(".saldo").hide();
    $(".debito").show();
    $('.cpf').focus();
    $doc.animate({scrollTop: $($.attr(this, 'href')).offset().top}, 500);
    return false;
});
$('#btn-saldo').on('click', function () {
    var $doc = $('html, body');
    $(".boleto").hide();
    $(".credito").hide();
    $(".debito").hide();
    $(".saldo").show();
    $('.cpf').focus();
    $doc.animate({scrollTop: $($.attr(this, 'href')).offset().top}, 500);
    return false;
});
$(document).ready(function () {
    $('.finaliza').click(function () {
        if (!$("input[type='radio'][name='forma']").is(':checked')) {
            Materialize.toast('Por favor escolha a bandeira do seu cartão', 2500, 'black');
            return false;
        }
    });
});
$(document).ready(function () {
    $('.finalizar').click(function () {
        if (!$("input[type='radio'][name='Forma']").is(':checked')) {
            Materialize.toast('Por favor escolha a bandeira do seu banco', 2500, 'black');
            return false;
        }
    });
});
$(document).ready(function () {
    $('.btn-elabore-escolha').click(function () {
        if (!$("input[type='checkbox']").is(':checked')) {
            Materialize.toast('Você não escolheu um conteúdo para a elaboração do curso', 2500, 'black');
            return false;
        }
    });
});
//function busca_cep(cep) {
//    $.getJSON('http://viacep.com.br/ws/' + cep + '/json/', function (data) {
//        var form_cep = {endereco: data.logradouro, bairro: data.bairro, estado: data.uf, cidade: data.localidade};
//        form_cep.bairro = form_cep.bairro || 'Nao informado';
//        form_cep.estado = form_cep.estado || 'NI';
//        form_cep.cidade = form_cep.cidade || 'Nao informado';
//        form_cep.endereco = form_cep.endereco || 'Nao informado';
//        form_cep.numero = form_cep.numero = 999;
//        if (form_cep.cidade === 'Nao informado' || form_cep.estado === 'NI') {
//            form_cep.cep = form_cep.cep || 66000000;
//        }
//        for (var i in form_cep) {
//            if ($('input[name=' + i + ']')[0]) {
//                $('input[name=' + i + ']').val(form_cep[i]);
//                continue;
//            }
//            $('.content-cep').append($('<input/>', {name: i, type: 'hidden', class: 'form-control'}).val(form_cep[i]));
//        }
//    });
//}

function busca_cep(cep_req, url_base) {
//    $.getJSON('http://viacep.com.br/ws/' + cep + '/json/', function (data) {
//        var form_cep = {endereco: data.logradouro, bairro: data.bairro, estado: data.uf, cidade: data.localidade};
//        form_cep.bairro = form_cep.bairro || 'Nao informado';
//        form_cep.estado = form_cep.estado || 'NI';
//        form_cep.cidade = form_cep.cidade || 'Nao informado';
//        form_cep.endereco = form_cep.endereco || 'Nao informado';
//        form_cep.numero = form_cep.numero = 999;
//        if (form_cep.cidade === 'Nao informado' || form_cep.estado === 'NI') {
//            form_cep.cep = form_cep.cep || 66000000;
//        }
//        for (var i in form_cep) {
//            if ($('input[name=' + i + ']')[0]) {
//                $('input[name=' + i + ']').val(form_cep[i]);
//                continue;
//            }
//            $('.content-cep').append($('<input/>', {name: i, type: 'hidden', class: 'form-control'}).val(form_cep[i]));
//        }
//    });


}


$(document).ready(function () {
    $('.cpf').mask('000.000.000-00', {reverse: true});
    $('.ceps').mask('00000-000');
    $('.valor').mask('000.000.000.000.000,00', {reverse: true});
    $('.dates').mask('00/00');

});
$(document).ready(function () {
    function limpa_formulário_cep() {
        $(".cep-conf").val("");
        $("#endereco").val("");
        $("#bairro").val("");
        $("#cidade").val("");
        $("#uf").val("");
    }
    $(".cep-conf").blur(function () {
        var cep = $(this).val().replace(/\D/g, '');
        if (cep !== "") {
            var validacep = /^[0-9]{8}$/;
            if (validacep.test(cep)) {
                $("#endereco").val("...");
                $("#bairro").val("...");
                $("#cidade").val("...");
                $("#uf").val("...");
//                $.getJSON("//viacep.com.br/ws/" + cep + "/json/?callback=?", function (dados) {
//                    if (!("erro"in dados)) {
//                        $("#endereco").val(dados.logradouro);
//                        $("#bairro").val(dados.bairro);
//                        $("#cidade").val(dados.localidade);
//                        $("#uf").val(dados.uf);
//                    } else {
//                        Materialize.toast('O CEP informado não foi encontrado. Por favor verifique os seus dados', 2500, 'black');
//
//                    }
//                });
                $.ajax({
                    type: "POST",
                    url: "buscacep",
                    data: {cep: cep},
                    success: function (result) {
                        if (result.sucesso === 1) {
                            $("#endereco").val(result.data.endereco);
                            $("#bairro").val(result.data.nome_bairro);
                            $("#cidade").val(result.data.nome_localidade);
                            $("#uf").val(result.data.sigla);
                            $(".btn-end").prop('disabled', false);
                        } else {
                            Materialize.toast('informações do CEP não encontradas', 2500, 'black');
                            $(".btn-end").prop('disabled', true);

                        }

                    }
                });

            } else {
                Materialize.toast('Formato de CEP inválido. Por favor verifique os seus dados', 2500, 'black');
                $(".btn-end").prop('disabled', true);
            }
        } else {
            limpa_formulário_cep();
            $(".btn-end").prop('disabled', false);
        }
    });
});

// RECORTE
function ancora(objID) {
    document.getElementById(objID).focus();
}
if (document.getElementById("assinatura-aluno")) {
    document.getElementById("assinatura-aluno").addEventListener("change", readFile, false);
}
$('#assinatura-aluno').on('change', function () {
});
var assinaturaAluno = document.getElementById('imagem-assinatura-aluno');

function readFile() {
    if (this.files && this.files[0]) {

        if (this.files[0].type == "image/jpeg" || this.files[0].type == "image/jpg" || this.files[0].type == "image/png") {

            var FR = new FileReader();
            FR.onload = function (e) {
                if (e.target.result != null) {

                    assinaturaAluno.src = e.target.result;
                    $(".btn-assinatura").css("display", "block");
                    $(".assinatura-atual").css("display", "none");

                    initCropper();
                }
            };
            FR.readAsDataURL(this.files[0]);
        } else {

            $(".assinatura-atual").css("display", "block");
            Materialize.toast('Formato não permitido. Envie uma imagem em um dos seguintes formatos: jpeg, jpg ou png.', 2500, 'black');
            $("#assinatura-aluno").val("");
        }
    }
}

function initCropper() {
    new Cropper(assinaturaAluno, {
        aspectRatio: "Free",
        crop: function (e) {
            document.getElementById("assinaturaX").value = e.detail.x;
            document.getElementById("assinaturaY").value = e.detail.y;
            document.getElementById("assinaturaWidth").value = e.detail.width;
            document.getElementById("assinaturaHeight").value = e.detail.height;
            document.getElementById("assinatura").value = "ok";
        }
    });
}
function home() {
    window.location = 'home';
}
function cursos() {
    window.location = 'cursos';
}
function cursosmatriculados() {
    window.location = 'cursosmatriculados';
}
function certificados() {
    window.location = 'certificados';
}
function financeiro() {
    window.location = 'financeiro';
}
function meusdados() {
    window.location = 'meusdados';
}
function negocios() {
    window.location = document.getElementById("negocios").getAttribute("href");
}

function drop_down_22() {
    $('#link-dropdown-22').click();
}

function boleto() {
    var scre = $("body").width();
    if (scre >= 768) {
        setTimeout(function () {
            window.location.href = 'cursosmatriculados';

        }, 1);
        $(".sucesso-boleto").css("display", "block");
    }
}
;
